com.jscape.inet.sftp

## Class Sftp.DownloadFileOperation

- java.lang.Object
- - com.jscape.inet.sftp.Sftp.DownloadFileOperation

- Enclosing class:
    Sftp

      public static class Sftp.DownloadFileOperation
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Sftp.DownloadFileOperation.Listener`
    `static class` | `Sftp.DownloadFileOperation.NullListener`
    `static class` | `Sftp.DownloadFileOperation.TransferStrategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DownloadFileOperation(Sftp.RemoteDirectory remoteDirectory, java.lang.String remoteFile, java.io.File localFile, Sftp.DownloadFileOperation.TransferStrategy transferStrategy, boolean fileTimestampPreservingRequired, int maxAttempts, com.jscape.util.Time attemptPeriod, boolean deleteRemoteFile, Sftp.DownloadFileOperation.Listener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sftp.DownloadFileOperation` | `applyTo(Sftp transfer)`
    `void` | `cancel()`
    `void` | `disconnectRequired(boolean value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DownloadFileOperation

          public DownloadFileOperation(Sftp.RemoteDirectory remoteDirectory,
                                       java.lang.String remoteFile,
                                       java.io.File localFile,
                                       Sftp.DownloadFileOperation.TransferStrategy transferStrategy,
                                       boolean fileTimestampPreservingRequired,
                                       int maxAttempts,
                                       com.jscape.util.Time attemptPeriod,
                                       boolean deleteRemoteFile,
                                       Sftp.DownloadFileOperation.Listener listener)

  - ### Method Detail

    - #### disconnectRequired

          public void disconnectRequired(boolean value)

    - #### applyTo

          public Sftp.DownloadFileOperation applyTo(Sftp transfer)
                                             throws SftpException

      Throws:
        `SftpException`

    - #### cancel

          public void cancel()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved